> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete server group property keys

> Delete specific property keys from a server group



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json delete /v0/server-groups/properties
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/server-groups/properties:
    delete:
      tags:
        - server-groups
      summary: Delete server group property keys
      description: Delete specific property keys from a server group
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Server Group ID
          in: query
          name: server_group_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.DeletePropertiesRequest'
        description: Keys to delete
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.DeletePropertiesResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.DeletePropertiesRequest:
      description: Request to delete specific property keys
      properties:
        keys:
          example:
            - key1
            - key2
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.DeletePropertiesResponse:
      description: Response for deleting properties
      properties:
        deleted_keys:
          example:
            - key1
            - key2
          items:
            type: string
          type: array
          uniqueItems: false
        message:
          example: Properties deleted successfully
          type: string
        properties:
          additionalProperties: {}
          type: object
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````